import { CommonDescription } from "./description.mjs";
import { CommonInventaire } from "./inventaire.mjs";
import { CommonAppreciable } from "./appreciable.mjs";
import { CommonEquipment } from "./equipement.mjs";
import { CommonComestible } from "./comestible.mjs";
import { CommonTemporel } from "./temporel.mjs";
import { CommonEnchantable } from "./enchantable.mjs";

export const TEMPLATE_DESCRIPTION = new CommonDescription()
export const TEMPLATE_INVENTAIRE = new CommonInventaire()
export const TEMPLATE_APPRECIABLE = new CommonAppreciable()
export const TEMPLATE_EQUIPEMENT = new CommonEquipment()
export const TEMPLATE_COMESTIBLE = new CommonComestible()
export const TEMPLATE_TEMPOREL = new CommonTemporel()
export const TEMPLATE_ENCHANTABLE = new CommonEnchantable()

export const ALL_COMMON_TEMPLATES = [TEMPLATE_DESCRIPTION, TEMPLATE_INVENTAIRE, TEMPLATE_APPRECIABLE, TEMPLATE_EQUIPEMENT, TEMPLATE_COMESTIBLE, TEMPLATE_TEMPOREL, TEMPLATE_ENCHANTABLE]

